Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Aug 2021 10:32:12 -0400

> Git 2.22 Release Notes
> ======================
>  * "git log -L<from>,<to>:<path>" with "-s" did not suppress the patch
>    output as it should.  This has been corrected.
>    (merge 05314efaea jk/line-log-with-patch later to maint).
>
> I don't know whether there's any reason to support older git
> versions, but I'm using git 2.17.1 and so the command generated
> by `elpaa--get-release-revision' gives me this:
>
> $ git log -n1 --no-patch --pretty=format:%H -L '/^;;*
> *\(Package-\)\?Version:/,+1:lisp/so-long.el'
> b84986af52d4e9debace2850a5ec106f51e38e61
> diff --git a/lisp/so-long.el b/lisp/so-long.el
> --- a/lisp/so-long.el
> +++ b/lisp/so-long.el
> @@ -11,1 +11,1 @@
> -;; Version: 1.1
> +;; Version: 1.1.1
>
> I didn't twig initially that I wasn't seeing the intended
> output, and spent a while fruitlessly wondering where in the
> elisp that got trimmed down to a single line...

Interesting.  `elpa.gnu.org` is running a more recent version of Git
because the older Git crashed in this same `elpaa--get-release-revision`
in some cases :-(

Debian stable is still on Git-2.20 so it might be worth adding
a workaround in `elpaa--get-release-revision` (tho a new Debian release
is due any day now, IIUC).

        Stefan